---
names:
  full: Azure Storage Account With Critical Data is not encrypted with customer managed
    key
  contextual: Critical Data is not encrypted with customer managed key
description: Enable sensitive data encryption at rest using Customer Managed Keys
  (CMK) rather than Microsoft Managed keys.
impossible: true
type: BEST_PRACTICE
categories:
  - SECURITY
frameworkMappings:
  - "/frameworks/cis-azure-v2.1.0/03/12"
  - "/frameworks/cis-azure-v3.0.0/04/11"
  - "/frameworks/cloudaware/resource-security/data-encryption"
similarPolicies:
  internal:
    - dec-x-aef11ebd
  cloudConformity:
    - url: https://www.trendmicro.com/cloudoneconformity/knowledge-base/azure/StorageAccounts/cmk-encryption.html
      name: Storage Account Encryption using Customer Managed Keys
